Project

General

Profile

Feature #13334

Removed deprecated mathn extentions.

Added by hsbt (Hiroshi SHIBATA) over 3 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Target version:
[ruby-core:80247]

Description

mathn/complex and mathn/rational is deprecated from 2008. We should remove it before Ruby 3.0 release.

https://github.com/ruby/ruby/pull/1542/files


Related issues

Related to Ruby master - Bug #10086: [PATCH] Remove exponents calculation from mathn.rbClosed07/23/2014Actions
Related to Ruby master - Feature #10169: It might be better to make Mathn class deprecatedClosedhsbt (Hiroshi SHIBATA)Actions
#1

Updated by hsbt (Hiroshi SHIBATA) over 3 years ago

  • Status changed from Open to Assigned
  • Tracker changed from Bug to Feature
#2

Updated by hsbt (Hiroshi SHIBATA) over 3 years ago

  • Related to Bug #10086: [PATCH] Remove exponents calculation from mathn.rb added
#3

Updated by hsbt (Hiroshi SHIBATA) over 3 years ago

  • Related to Feature #10169: It might be better to make Mathn class deprecated added

Updated by matz (Yukihiro Matsumoto) over 3 years ago

OK, now is the time to go.

Matz.

#5

Updated by hsbt (Hiroshi SHIBATA) over 3 years ago

  • Status changed from Assigned to Closed

Applied in changeset trunk|r58413.


Removed deprecated extensions of mathn.

  • ext/mathn/{complex,rational}: Removed from ruby core. [fix GH-1542][Feature #13334][ruby-core:80247]

Also available in: Atom PDF